Package com.omnisci.thrift.server

## Class OmniSci.Client

- java.lang.Object
- - org.apache.thrift.TServiceClient
  - - com.omnisci.thrift.server.OmniSci.Client

All Implemented Interfaces:
  `OmniSci.Iface`

Enclosing class:
  OmniSci

    public static class OmniSci.Client
    extends org.apache.thrift.TServiceClient
    implements OmniSci.Iface

### Nested Class Summary

Nested Classes
`static class` `OmniSci.Client.Factory`

### Field Summary

### Fields inherited from class org.apache.thrift.TServiceClient

`iprot_, oprot_, seqid_`

### Constructor Summary

Constructors
`Client​(org.apache.thrift.protocol.TProtocol prot)`
`Client​(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TProtocol oprot)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `broadcast_serialized_rows​(TSerializedRows serialized_rows, List<TColumnType> row_desc, long query_id, long subquery_id, boolean is_final_subquery_result)`
`TTableMeta` `check_table_consistency​(String session, int table_id)`
`void` `checkpoint​(String session, int table_id)`
`void` `clear_cpu_memory​(String session)`
`void` `clear_gpu_memory​(String session)`
`String` `clone_session​(String session)`
`String` `connect​(String user, String passwd, String dbname)`
`int` `create_dashboard​(String session, String dashboard_name, String dashboard_state, String image_hash, String dashboard_metadata)`
`String` `create_link​(String session, String view_state, String view_metadata)`
`void` `create_table​(String session, String table_name, List<TColumnType> row_desc, TFileType file_type, TCreateParams create_params)`
`void` `deallocate_df​(String session, TDataFrame df, TDeviceType device_type, int device_id)`
`void` `delete_dashboard​(String session, int dashboard_id)`
`void` `delete_dashboards​(String session, List<Integer> dashboard_ids)`
`TDetectResult` `detect_column_types​(String session, String file_name, TCopyParams copy_params)`
`void` `disconnect​(String session)`
`TRenderStepResult` `execute_next_render_step​(TPendingRenderQuery pending_render, Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> merged_data)`
`TStepResult` `execute_query_step​(TPendingQuery pending_query, long subquery_id, String start_time_str)`
`List<String>` `get_all_files_in_archive​(String session, String archive_path, TCopyParams copy_params)`
`List<String>` `get_all_roles_for_user​(String session, String userName)`
`List<TCompletionHint>` `get_completion_hints​(String session, String sql, int cursor)`
`TDashboard` `get_dashboard​(String session, int dashboard_id)`
`List<TDashboardGrantees>` `get_dashboard_grantees​(String session, int dashboard_id)`
`List<TDashboard>` `get_dashboards​(String session)`
`List<TDBInfo>` `get_databases​(String session)`
`List<TDBObject>` `get_db_object_privs​(String session, String objectName, TDBObjectType type)`
`List<TDBObject>` `get_db_objects_for_grantee​(String session, String roleName)`
`Map<String,​String>` `get_device_parameters​(String session)`
`String` `get_first_geo_file_in_archive​(String session, String archive_path, TCopyParams copy_params)`
`TClusterHardwareInfo` `get_hardware_info​(String session)`
`String` `get_heap_profile​(String session)`
`TTableDetails` `get_internal_table_details​(String session, String table_name)`
`List<TGeoFileLayerInfo>` `get_layers_in_geo_file​(String session, String file_name, TCopyParams copy_params)`
`TLicenseInfo` `get_license_claims​(String session, String nonce)`
`TFrontendView` `get_link_view​(String session, String link)`
`List<TNodeMemoryInfo>` `get_memory​(String session, String memory_level)`
`List<String>` `get_physical_tables​(String session)`
`TPixelTableRowResult` `get_result_row_for_pixel​(String session, long widget_id, TPixel pixel, Map<String,​List<String>> table_col_names, boolean column_format, int pixelRadius, String nonce)`
`List<String>` `get_roles​(String session)`
`TServerStatus` `get_server_status​(String session)`
`TSessionInfo` `get_session_info​(String session)`
`List<TServerStatus>` `get_status​(String session)`
`TTableDetails` `get_table_details​(String session, String table_name)`
`int` `get_table_epoch​(String session, int db_id, int table_id)`
`int` `get_table_epoch_by_name​(String session, String table_name)`
`List<TTableEpochInfo>` `get_table_epochs​(String session, int db_id, int table_id)`
`List<String>` `get_tables​(String session)`
`List<TTableMeta>` `get_tables_meta​(String session)`
`List<String>` `get_users​(String session)`
`String` `get_version()`
`List<String>` `get_views​(String session)`
`boolean` `has_object_privilege​(String session, String granteeName, String ObjectName, TDBObjectType objectType, TDBObjectPermissions permissions)`
`boolean` `has_role​(String session, String granteeName, String roleName)`
`void` `import_geo_table​(String session, String table_name, String file_name, TCopyParams copy_params, List<TColumnType> row_desc, TCreateParams create_params)`
`void` `import_table​(String session, String table_name, String file_name, TCopyParams copy_params)`
`TImportStatus` `import_table_status​(String session, String import_id)`
`void` `insert_data​(String session, TInsertData insert_data)`
`void` `interrupt​(String query_session, String interrupt_session)`
`void` `invalidate_cur_session​(String parent_session, String leaf_session, String start_time_str, String label)`
`TKrb5Session` `krb5_connect​(String inputToken, String dbname)`
`void` `load_table​(String session, String table_name, List<TStringRow> rows, List<String> column_names)`
`void` `load_table_binary​(String session, String table_name, List<TRow> rows, List<String> column_names)`
`void` `load_table_binary_arrow​(String session, String table_name, ByteBuffer arrow_stream, boolean use_column_names)`
`void` `load_table_binary_columnar​(String session, String table_name, List<TColumn> cols, List<String> column_names)`
`void` `load_table_binary_columnar_polys​(String session, String table_name, List<TColumn> cols, List<String> column_names, boolean assign_render_groups)`
`long` `query_get_outer_fragment_count​(String session, String query)`
`void` `recv_broadcast_serialized_rows()`
`TTableMeta` `recv_check_table_consistency()`
`void` `recv_checkpoint()`
`void` `recv_clear_cpu_memory()`
`void` `recv_clear_gpu_memory()`
`String` `recv_clone_session()`
`String` `recv_connect()`
`int` `recv_create_dashboard()`
`String` `recv_create_link()`
`void` `recv_create_table()`
`void` `recv_deallocate_df()`
`void` `recv_delete_dashboard()`
`void` `recv_delete_dashboards()`
`TDetectResult` `recv_detect_column_types()`
`void` `recv_disconnect()`
`TRenderStepResult` `recv_execute_next_render_step()`
`TStepResult` `recv_execute_query_step()`
`List<String>` `recv_get_all_files_in_archive()`
`List<String>` `recv_get_all_roles_for_user()`
`List<TCompletionHint>` `recv_get_completion_hints()`
`TDashboard` `recv_get_dashboard()`
`List<TDashboardGrantees>` `recv_get_dashboard_grantees()`
`List<TDashboard>` `recv_get_dashboards()`
`List<TDBInfo>` `recv_get_databases()`
`List<TDBObject>` `recv_get_db_object_privs()`
`List<TDBObject>` `recv_get_db_objects_for_grantee()`
`Map<String,​String>` `recv_get_device_parameters()`
`String` `recv_get_first_geo_file_in_archive()`
`TClusterHardwareInfo` `recv_get_hardware_info()`
`String` `recv_get_heap_profile()`
`TTableDetails` `recv_get_internal_table_details()`
`List<TGeoFileLayerInfo>` `recv_get_layers_in_geo_file()`
`TLicenseInfo` `recv_get_license_claims()`
`TFrontendView` `recv_get_link_view()`
`List<TNodeMemoryInfo>` `recv_get_memory()`
`List<String>` `recv_get_physical_tables()`
`TPixelTableRowResult` `recv_get_result_row_for_pixel()`
`List<String>` `recv_get_roles()`
`TServerStatus` `recv_get_server_status()`
`TSessionInfo` `recv_get_session_info()`
`List<TServerStatus>` `recv_get_status()`
`TTableDetails` `recv_get_table_details()`
`int` `recv_get_table_epoch()`
`int` `recv_get_table_epoch_by_name()`
`List<TTableEpochInfo>` `recv_get_table_epochs()`
`List<String>` `recv_get_tables()`
`List<TTableMeta>` `recv_get_tables_meta()`
`List<String>` `recv_get_users()`
`String` `recv_get_version()`
`List<String>` `recv_get_views()`
`boolean` `recv_has_object_privilege()`
`boolean` `recv_has_role()`
`void` `recv_import_geo_table()`
`void` `recv_import_table()`
`TImportStatus` `recv_import_table_status()`
`void` `recv_insert_data()`
`void` `recv_interrupt()`
`void` `recv_invalidate_cur_session()`
`TKrb5Session` `recv_krb5_connect()`
`void` `recv_load_table()`
`void` `recv_load_table_binary()`
`void` `recv_load_table_binary_arrow()`
`void` `recv_load_table_binary_columnar()`
`void` `recv_load_table_binary_columnar_polys()`
`long` `recv_query_get_outer_fragment_count()`
`void` `recv_register_runtime_extension_functions()`
`TRenderResult` `recv_render_vega()`
`void` `recv_replace_dashboard()`
`void` `recv_set_cur_session()`
`void` `recv_set_execution_mode()`
`TLicenseInfo` `recv_set_license_key()`
`void` `recv_set_table_epoch()`
`void` `recv_set_table_epoch_by_name()`
`void` `recv_set_table_epochs()`
`void` `recv_share_dashboard()`
`void` `recv_share_dashboards()`
`TQueryResult` `recv_sql_execute()`
`TDataFrame` `recv_sql_execute_df()`
`TDataFrame` `recv_sql_execute_gdf()`
`List<TColumnType>` `recv_sql_validate()`
`void` `recv_start_heap_profile()`
`TPendingQuery` `recv_start_query()`
`TPendingRenderQuery` `recv_start_render_query()`
`void` `recv_stop_heap_profile()`
`void` `recv_switch_database()`
`void` `recv_unshare_dashboard()`
`void` `recv_unshare_dashboards()`
`void` `register_runtime_extension_functions​(String session, List<TUserDefinedFunction> udfs, List<TUserDefinedTableFunction> udtfs, Map<String,​String> device_ir_map)`
`TRenderResult` `render_vega​(String session, long widget_id, String vega_json, int compression_level, String nonce)`
`void` `replace_dashboard​(String session, int dashboard_id, String dashboard_name, String dashboard_owner, String dashboard_state, String image_hash, String dashboard_metadata)`
`void` `send_broadcast_serialized_rows​(TSerializedRows serialized_rows, List<TColumnType> row_desc, long query_id, long subquery_id, boolean is_final_subquery_result)`
`void` `send_check_table_consistency​(String session, int table_id)`
`void` `send_checkpoint​(String session, int table_id)`
`void` `send_clear_cpu_memory​(String session)`
`void` `send_clear_gpu_memory​(String session)`
`void` `send_clone_session​(String session)`
`void` `send_connect​(String user, String passwd, String dbname)`
`void` `send_create_dashboard​(String session, String dashboard_name, String dashboard_state, String image_hash, String dashboard_metadata)`
`void` `send_create_link​(String session, String view_state, String view_metadata)`
`void` `send_create_table​(String session, String table_name, List<TColumnType> row_desc, TFileType file_type, TCreateParams create_params)`
`void` `send_deallocate_df​(String session, TDataFrame df, TDeviceType device_type, int device_id)`
`void` `send_delete_dashboard​(String session, int dashboard_id)`
`void` `send_delete_dashboards​(String session, List<Integer> dashboard_ids)`
`void` `send_detect_column_types​(String session, String file_name, TCopyParams copy_params)`
`void` `send_disconnect​(String session)`
`void` `send_execute_next_render_step​(TPendingRenderQuery pending_render, Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> merged_data)`
`void` `send_execute_query_step​(TPendingQuery pending_query, long subquery_id, String start_time_str)`
`void` `send_get_all_files_in_archive​(String session, String archive_path, TCopyParams copy_params)`
`void` `send_get_all_roles_for_user​(String session, String userName)`
`void` `send_get_completion_hints​(String session, String sql, int cursor)`
`void` `send_get_dashboard​(String session, int dashboard_id)`
`void` `send_get_dashboard_grantees​(String session, int dashboard_id)`
`void` `send_get_dashboards​(String session)`
`void` `send_get_databases​(String session)`
`void` `send_get_db_object_privs​(String session, String objectName, TDBObjectType type)`
`void` `send_get_db_objects_for_grantee​(String session, String roleName)`
`void` `send_get_device_parameters​(String session)`
`void` `send_get_first_geo_file_in_archive​(String session, String archive_path, TCopyParams copy_params)`
`void` `send_get_hardware_info​(String session)`
`void` `send_get_heap_profile​(String session)`
`void` `send_get_internal_table_details​(String session, String table_name)`
`void` `send_get_layers_in_geo_file​(String session, String file_name, TCopyParams copy_params)`
`void` `send_get_license_claims​(String session, String nonce)`
`void` `send_get_link_view​(String session, String link)`
`void` `send_get_memory​(String session, String memory_level)`
`void` `send_get_physical_tables​(String session)`
`void` `send_get_result_row_for_pixel​(String session, long widget_id, TPixel pixel, Map<String,​List<String>> table_col_names, boolean column_format, int pixelRadius, String nonce)`
`void` `send_get_roles​(String session)`
`void` `send_get_server_status​(String session)`
`void` `send_get_session_info​(String session)`
`void` `send_get_status​(String session)`
`void` `send_get_table_details​(String session, String table_name)`
`void` `send_get_table_epoch​(String session, int db_id, int table_id)`
`void` `send_get_table_epoch_by_name​(String session, String table_name)`
`void` `send_get_table_epochs​(String session, int db_id, int table_id)`
`void` `send_get_tables​(String session)`
`void` `send_get_tables_meta​(String session)`
`void` `send_get_users​(String session)`
`void` `send_get_version()`
`void` `send_get_views​(String session)`
`void` `send_has_object_privilege​(String session, String granteeName, String ObjectName, TDBObjectType objectType, TDBObjectPermissions permissions)`
`void` `send_has_role​(String session, String granteeName, String roleName)`
`void` `send_import_geo_table​(String session, String table_name, String file_name, TCopyParams copy_params, List<TColumnType> row_desc, TCreateParams create_params)`
`void` `send_import_table​(String session, String table_name, String file_name, TCopyParams copy_params)`
`void` `send_import_table_status​(String session, String import_id)`
`void` `send_insert_data​(String session, TInsertData insert_data)`
`void` `send_interrupt​(String query_session, String interrupt_session)`
`void` `send_invalidate_cur_session​(String parent_session, String leaf_session, String start_time_str, String label)`
`void` `send_krb5_connect​(String inputToken, String dbname)`
`void` `send_load_table​(String session, String table_name, List<TStringRow> rows, List<String> column_names)`
`void` `send_load_table_binary​(String session, String table_name, List<TRow> rows, List<String> column_names)`
`void` `send_load_table_binary_arrow​(String session, String table_name, ByteBuffer arrow_stream, boolean use_column_names)`
`void` `send_load_table_binary_columnar​(String session, String table_name, List<TColumn> cols, List<String> column_names)`
`void` `send_load_table_binary_columnar_polys​(String session, String table_name, List<TColumn> cols, List<String> column_names, boolean assign_render_groups)`
`void` `send_query_get_outer_fragment_count​(String session, String query)`
`void` `send_register_runtime_extension_functions​(String session, List<TUserDefinedFunction> udfs, List<TUserDefinedTableFunction> udtfs, Map<String,​String> device_ir_map)`
`void` `send_render_vega​(String session, long widget_id, String vega_json, int compression_level, String nonce)`
`void` `send_replace_dashboard​(String session, int dashboard_id, String dashboard_name, String dashboard_owner, String dashboard_state, String image_hash, String dashboard_metadata)`
`void` `send_set_cur_session​(String parent_session, String leaf_session, String start_time_str, String label)`
`void` `send_set_execution_mode​(String session, TExecuteMode mode)`
`void` `send_set_license_key​(String session, String key, String nonce)`
`void` `send_set_table_epoch​(String session, int db_id, int table_id, int new_epoch)`
`void` `send_set_table_epoch_by_name​(String session, String table_name, int new_epoch)`
`void` `send_set_table_epochs​(String session, int db_id, List<TTableEpochInfo> table_epochs)`
`void` `send_share_dashboard​(String session, int dashboard_id, List<String> groups, List<String> objects, TDashboardPermissions permissions, boolean grant_role)`
`void` `send_share_dashboards​(String session, List<Integer> dashboard_ids, List<String> groups, TDashboardPermissions permissions)`
`void` `send_sql_execute​(String session, String query, boolean column_format, String nonce, int first_n, int at_most_n)`
`void` `send_sql_execute_df​(String session, String query, TDeviceType device_type, int device_id, int first_n, TArrowTransport transport_method)`
`void` `send_sql_execute_gdf​(String session, String query, int device_id, int first_n)`
`void` `send_sql_validate​(String session, String query)`
`void` `send_start_heap_profile​(String session)`
`void` `send_start_query​(String leaf_session, String parent_session, String query_ra, String start_time_str, boolean just_explain, List<Long> outer_fragment_indices)`
`void` `send_start_render_query​(String session, long widget_id, short node_idx, String vega_json)`
`void` `send_stop_heap_profile​(String session)`
`void` `send_switch_database​(String session, String dbname)`
`void` `send_unshare_dashboard​(String session, int dashboard_id, List<String> groups, List<String> objects, TDashboardPermissions permissions)`
`void` `send_unshare_dashboards​(String session, List<Integer> dashboard_ids, List<String> groups, TDashboardPermissions permissions)`
`void` `set_cur_session​(String parent_session, String leaf_session, String start_time_str, String label)`
`void` `set_execution_mode​(String session, TExecuteMode mode)`
`TLicenseInfo` `set_license_key​(String session, String key, String nonce)`
`void` `set_table_epoch​(String session, int db_id, int table_id, int new_epoch)`
`void` `set_table_epoch_by_name​(String session, String table_name, int new_epoch)`
`void` `set_table_epochs​(String session, int db_id, List<TTableEpochInfo> table_epochs)`
`void` `share_dashboard​(String session, int dashboard_id, List<String> groups, List<String> objects, TDashboardPermissions permissions, boolean grant_role)`
`void` `share_dashboards​(String session, List<Integer> dashboard_ids, List<String> groups, TDashboardPermissions permissions)`
`TQueryResult` `sql_execute​(String session, String query, boolean column_format, String nonce, int first_n, int at_most_n)`
`TDataFrame` `sql_execute_df​(String session, String query, TDeviceType device_type, int device_id, int first_n, TArrowTransport transport_method)`
`TDataFrame` `sql_execute_gdf​(String session, String query, int device_id, int first_n)`
`List<TColumnType>` `sql_validate​(String session, String query)`
`void` `start_heap_profile​(String session)`
`TPendingQuery` `start_query​(String leaf_session, String parent_session, String query_ra, String start_time_str, boolean just_explain, List<Long> outer_fragment_indices)`
`TPendingRenderQuery` `start_render_query​(String session, long widget_id, short node_idx, String vega_json)`
`void` `stop_heap_profile​(String session)`
`void` `switch_database​(String session, String dbname)`
`void` `unshare_dashboard​(String session, int dashboard_id, List<String> groups, List<String> objects, TDashboardPermissions permissions)`
`void` `unshare_dashboards​(String session, List<Integer> dashboard_ids, List<String> groups, TDashboardPermissions permissions)`

### Methods inherited from class org.apache.thrift.TServiceClient

`getInputProtocol, getOutputProtocol, receiveBase, sendBase, sendBaseOneway`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Client

    public Client​(org.apache.thrift.protocol.TProtocol prot)

#### Client

    public Client​(org.apache.thrift.protocol.TProtocol iprot,
                  org.apache.thrift.protocol.TProtocol oprot)

### Method Detail

#### connect

    public String connect​(String user,
                          String passwd,
                          String dbname)
                   throws TOmniSciException,
                          org.apache.thrift.TException

Specified by:
  `connect` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_connect

    public void send_connect​(String user,
                             String passwd,
                             String dbname)
                      throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_connect

    public String recv_connect()
                        throws TOmniSciException,
                               org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### krb5_connect

    public TKrb5Session krb5_connect​(String inputToken,
                                     String dbname)
                              throws TOmniSciException,
                                     org.apache.thrift.TException

Specified by:
  `krb5_connect` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_krb5_connect

    public void send_krb5_connect​(String inputToken,
                                  String dbname)
                           throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_krb5_connect

    public TKrb5Session recv_krb5_connect()
                                   throws TOmniSciException,
                                          org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### disconnect

    public void disconnect​(String session)
                    throws TOmniSciException,
                           org.apache.thrift.TException

Specified by:
  `disconnect` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_disconnect

    public void send_disconnect​(String session)
                         throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_disconnect

    public void recv_disconnect()
                         throws TOmniSciException,
                                org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### switch_database

    public void switch_database​(String session,
                                String dbname)
                         throws TOmniSciException,
                                org.apache.thrift.TException

Specified by:
  `switch_database` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_switch_database

    public void send_switch_database​(String session,
                                     String dbname)
                              throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_switch_database

    public void recv_switch_database()
                              throws TOmniSciException,
                                     org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### clone_session

    public String clone_session​(String session)
                         throws TOmniSciException,
                                org.apache.thrift.TException

Specified by:
  `clone_session` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_clone_session

    public void send_clone_session​(String session)
                            throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_clone_session

    public String recv_clone_session()
                              throws TOmniSciException,
                                     org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_server_status

    public TServerStatus get_server_status​(String session)
                                    throws TOmniSciException,
                                           org.apache.thrift.TException

Specified by:
  `get_server_status` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_server_status

    public void send_get_server_status​(String session)
                                throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_server_status

    public TServerStatus recv_get_server_status()
                                         throws TOmniSciException,
                                                org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_status

    public List<TServerStatus> get_status​(String session)
                                   throws TOmniSciException,
                                          org.apache.thrift.TException

Specified by:
  `get_status` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_status

    public void send_get_status​(String session)
                         throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_status

    public List<TServerStatus> recv_get_status()
                                        throws TOmniSciException,
                                               org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_hardware_info

    public TClusterHardwareInfo get_hardware_info​(String session)
                                           throws TOmniSciException,
                                                  org.apache.thrift.TException

Specified by:
  `get_hardware_info` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_hardware_info

    public void send_get_hardware_info​(String session)
                                throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_hardware_info

    public TClusterHardwareInfo recv_get_hardware_info()
                                                throws TOmniSciException,
                                                       org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_tables

    public List<String> get_tables​(String session)
                            throws TOmniSciException,
                                   org.apache.thrift.TException

Specified by:
  `get_tables` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_tables

    public void send_get_tables​(String session)
                         throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_tables

    public List<String> recv_get_tables()
                                 throws TOmniSciException,
                                        org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_physical_tables

    public List<String> get_physical_tables​(String session)
                                     throws TOmniSciException,
                                            org.apache.thrift.TException

Specified by:
  `get_physical_tables` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_physical_tables

    public void send_get_physical_tables​(String session)
                                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_physical_tables

    public List<String> recv_get_physical_tables()
                                          throws TOmniSciException,
                                                 org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_views

    public List<String> get_views​(String session)
                           throws TOmniSciException,
                                  org.apache.thrift.TException

Specified by:
  `get_views` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_views

    public void send_get_views​(String session)
                        throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_views

    public List<String> recv_get_views()
                                throws TOmniSciException,
                                       org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_tables_meta

    public List<TTableMeta> get_tables_meta​(String session)
                                     throws TOmniSciException,
                                            org.apache.thrift.TException

Specified by:
  `get_tables_meta` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_tables_meta

    public void send_get_tables_meta​(String session)
                              throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_tables_meta

    public List<TTableMeta> recv_get_tables_meta()
                                          throws TOmniSciException,
                                                 org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_table_details

    public TTableDetails get_table_details​(String session,
                                           String table_name)
                                    throws TOmniSciException,
                                           org.apache.thrift.TException

Specified by:
  `get_table_details` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_table_details

    public void send_get_table_details​(String session,
                                       String table_name)
                                throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_table_details

    public TTableDetails recv_get_table_details()
                                         throws TOmniSciException,
                                                org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_internal_table_details

    public TTableDetails get_internal_table_details​(String session,
                                                    String table_name)
                                             throws TOmniSciException,
                                                    org.apache.thrift.TException

Specified by:
  `get_internal_table_details` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_internal_table_details

    public void send_get_internal_table_details​(String session,
                                                String table_name)
                                         throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_internal_table_details

    public TTableDetails recv_get_internal_table_details()
                                                  throws TOmniSciException,
                                                         org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_users

    public List<String> get_users​(String session)
                           throws TOmniSciException,
                                  org.apache.thrift.TException

Specified by:
  `get_users` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_users

    public void send_get_users​(String session)
                        throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_users

    public List<String> recv_get_users()
                                throws TOmniSciException,
                                       org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_databases

    public List<TDBInfo> get_databases​(String session)
                                throws TOmniSciException,
                                       org.apache.thrift.TException

Specified by:
  `get_databases` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_databases

    public void send_get_databases​(String session)
                            throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_databases

    public List<TDBInfo> recv_get_databases()
                                     throws TOmniSciException,
                                            org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_version

    public String get_version()
                       throws TOmniSciException,
                              org.apache.thrift.TException

Specified by:
  `get_version` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_version

    public void send_get_version()
                          throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_version

    public String recv_get_version()
                            throws TOmniSciException,
                                   org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### start_heap_profile

    public void start_heap_profile​(String session)
                            throws TOmniSciException,
                                   org.apache.thrift.TException

Specified by:
  `start_heap_profile` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_start_heap_profile

    public void send_start_heap_profile​(String session)
                                 throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_start_heap_profile

    public void recv_start_heap_profile()
                                 throws TOmniSciException,
                                        org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### stop_heap_profile

    public void stop_heap_profile​(String session)
                           throws TOmniSciException,
                                  org.apache.thrift.TException

Specified by:
  `stop_heap_profile` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_stop_heap_profile

    public void send_stop_heap_profile​(String session)
                                throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_stop_heap_profile

    public void recv_stop_heap_profile()
                                throws TOmniSciException,
                                       org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_heap_profile

    public String get_heap_profile​(String session)
                            throws TOmniSciException,
                                   org.apache.thrift.TException

Specified by:
  `get_heap_profile` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_heap_profile

    public void send_get_heap_profile​(String session)
                               throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_heap_profile

    public String recv_get_heap_profile()
                                 throws TOmniSciException,
                                        org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_memory

    public List<TNodeMemoryInfo> get_memory​(String session,
                                            String memory_level)
                                     throws TOmniSciException,
                                            org.apache.thrift.TException

Specified by:
  `get_memory` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_memory

    public void send_get_memory​(String session,
                                String memory_level)
                         throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_memory

    public List<TNodeMemoryInfo> recv_get_memory()
                                          throws TOmniSciException,
                                                 org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### clear_cpu_memory

    public void clear_cpu_memory​(String session)
                          throws TOmniSciException,
                                 org.apache.thrift.TException

Specified by:
  `clear_cpu_memory` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_clear_cpu_memory

    public void send_clear_cpu_memory​(String session)
                               throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_clear_cpu_memory

    public void recv_clear_cpu_memory()
                               throws TOmniSciException,
                                      org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### clear_gpu_memory

    public void clear_gpu_memory​(String session)
                          throws TOmniSciException,
                                 org.apache.thrift.TException

Specified by:
  `clear_gpu_memory` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_clear_gpu_memory

    public void send_clear_gpu_memory​(String session)
                               throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_clear_gpu_memory

    public void recv_clear_gpu_memory()
                               throws TOmniSciException,
                                      org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### set_cur_session

    public void set_cur_session​(String parent_session,
                                String leaf_session,
                                String start_time_str,
                                String label)
                         throws TOmniSciException,
                                org.apache.thrift.TException

Specified by:
  `set_cur_session` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_set_cur_session

    public void send_set_cur_session​(String parent_session,
                                     String leaf_session,
                                     String start_time_str,
                                     String label)
                              throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_set_cur_session

    public void recv_set_cur_session()
                              throws TOmniSciException,
                                     org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### invalidate_cur_session

    public void invalidate_cur_session​(String parent_session,
                                       String leaf_session,
                                       String start_time_str,
                                       String label)
                                throws TOmniSciException,
                                       org.apache.thrift.TException

Specified by:
  `invalidate_cur_session` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_invalidate_cur_session

    public void send_invalidate_cur_session​(String parent_session,
                                            String leaf_session,
                                            String start_time_str,
                                            String label)
                                     throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_invalidate_cur_session

    public void recv_invalidate_cur_session()
                                     throws TOmniSciException,
                                            org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### set_table_epoch

    public void set_table_epoch​(String session,
                                int db_id,
                                int table_id,
                                int new_epoch)
                         throws TOmniSciException,
                                org.apache.thrift.TException

Specified by:
  `set_table_epoch` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_set_table_epoch

    public void send_set_table_epoch​(String session,
                                     int db_id,
                                     int table_id,
                                     int new_epoch)
                              throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_set_table_epoch

    public void recv_set_table_epoch()
                              throws TOmniSciException,
                                     org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### set_table_epoch_by_name

    public void set_table_epoch_by_name​(String session,
                                        String table_name,
                                        int new_epoch)
                                 throws TOmniSciException,
                                        org.apache.thrift.TException

Specified by:
  `set_table_epoch_by_name` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_set_table_epoch_by_name

    public void send_set_table_epoch_by_name​(String session,
                                             String table_name,
                                             int new_epoch)
                                      throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_set_table_epoch_by_name

    public void recv_set_table_epoch_by_name()
                                      throws TOmniSciException,
                                             org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_table_epoch

    public int get_table_epoch​(String session,
                               int db_id,
                               int table_id)
                        throws org.apache.thrift.TException

Specified by:
  `get_table_epoch` in interface `OmniSci.Iface`
Throws:
  `org.apache.thrift.TException`

#### send_get_table_epoch

    public void send_get_table_epoch​(String session,
                                     int db_id,
                                     int table_id)
                              throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_table_epoch

    public int recv_get_table_epoch()
                             throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_table_epoch_by_name

    public int get_table_epoch_by_name​(String session,
                                       String table_name)
                                throws org.apache.thrift.TException

Specified by:
  `get_table_epoch_by_name` in interface `OmniSci.Iface`
Throws:
  `org.apache.thrift.TException`

#### send_get_table_epoch_by_name

    public void send_get_table_epoch_by_name​(String session,
                                             String table_name)
                                      throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_table_epoch_by_name

    public int recv_get_table_epoch_by_name()
                                     throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_table_epochs

    public List<TTableEpochInfo> get_table_epochs​(String session,
                                                  int db_id,
                                                  int table_id)
                                           throws org.apache.thrift.TException

Specified by:
  `get_table_epochs` in interface `OmniSci.Iface`
Throws:
  `org.apache.thrift.TException`

#### send_get_table_epochs

    public void send_get_table_epochs​(String session,
                                      int db_id,
                                      int table_id)
                               throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_table_epochs

    public List<TTableEpochInfo> recv_get_table_epochs()
                                                throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### set_table_epochs

    public void set_table_epochs​(String session,
                                 int db_id,
                                 List<TTableEpochInfo> table_epochs)
                          throws org.apache.thrift.TException

Specified by:
  `set_table_epochs` in interface `OmniSci.Iface`
Throws:
  `org.apache.thrift.TException`

#### send_set_table_epochs

    public void send_set_table_epochs​(String session,
                                      int db_id,
                                      List<TTableEpochInfo> table_epochs)
                               throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_set_table_epochs

    public void recv_set_table_epochs()
                               throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_session_info

    public TSessionInfo get_session_info​(String session)
                                  throws TOmniSciException,
                                         org.apache.thrift.TException

Specified by:
  `get_session_info` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_session_info

    public void send_get_session_info​(String session)
                               throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_session_info

    public TSessionInfo recv_get_session_info()
                                       throws TOmniSciException,
                                              org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### sql_execute

    public TQueryResult sql_execute​(String session,
                                    String query,
                                    boolean column_format,
                                    String nonce,
                                    int first_n,
                                    int at_most_n)
                             throws TOmniSciException,
                                    org.apache.thrift.TException

Specified by:
  `sql_execute` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_sql_execute

    public void send_sql_execute​(String session,
                                 String query,
                                 boolean column_format,
                                 String nonce,
                                 int first_n,
                                 int at_most_n)
                          throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_sql_execute

    public TQueryResult recv_sql_execute()
                                  throws TOmniSciException,
                                         org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### sql_execute_df

    public TDataFrame sql_execute_df​(String session,
                                     String query,
                                     TDeviceType device_type,
                                     int device_id,
                                     int first_n,
                                     TArrowTransport transport_method)
                              throws TOmniSciException,
                                     org.apache.thrift.TException

Specified by:
  `sql_execute_df` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_sql_execute_df

    public void send_sql_execute_df​(String session,
                                    String query,
                                    TDeviceType device_type,
                                    int device_id,
                                    int first_n,
                                    TArrowTransport transport_method)
                             throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_sql_execute_df

    public TDataFrame recv_sql_execute_df()
                                   throws TOmniSciException,
                                          org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### sql_execute_gdf

    public TDataFrame sql_execute_gdf​(String session,
                                      String query,
                                      int device_id,
                                      int first_n)
                               throws TOmniSciException,
                                      org.apache.thrift.TException

Specified by:
  `sql_execute_gdf` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_sql_execute_gdf

    public void send_sql_execute_gdf​(String session,
                                     String query,
                                     int device_id,
                                     int first_n)
                              throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_sql_execute_gdf

    public TDataFrame recv_sql_execute_gdf()
                                    throws TOmniSciException,
                                           org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### deallocate_df

    public void deallocate_df​(String session,
                              TDataFrame df,
                              TDeviceType device_type,
                              int device_id)
                       throws TOmniSciException,
                              org.apache.thrift.TException

Specified by:
  `deallocate_df` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_deallocate_df

    public void send_deallocate_df​(String session,
                                   TDataFrame df,
                                   TDeviceType device_type,
                                   int device_id)
                            throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_deallocate_df

    public void recv_deallocate_df()
                            throws TOmniSciException,
                                   org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### interrupt

    public void interrupt​(String query_session,
                          String interrupt_session)
                   throws TOmniSciException,
                          org.apache.thrift.TException

Specified by:
  `interrupt` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_interrupt

    public void send_interrupt​(String query_session,
                               String interrupt_session)
                        throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_interrupt

    public void recv_interrupt()
                        throws TOmniSciException,
                               org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### sql_validate

    public List<TColumnType> sql_validate​(String session,
                                          String query)
                                   throws TOmniSciException,
                                          org.apache.thrift.TException

Specified by:
  `sql_validate` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_sql_validate

    public void send_sql_validate​(String session,
                                  String query)
                           throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_sql_validate

    public List<TColumnType> recv_sql_validate()
                                        throws TOmniSciException,
                                               org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_completion_hints

    public List<TCompletionHint> get_completion_hints​(String session,
                                                      String sql,
                                                      int cursor)
                                               throws TOmniSciException,
                                                      org.apache.thrift.TException

Specified by:
  `get_completion_hints` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_completion_hints

    public void send_get_completion_hints​(String session,
                                          String sql,
                                          int cursor)
                                   throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_completion_hints

    public List<TCompletionHint> recv_get_completion_hints()
                                                    throws TOmniSciException,
                                                           org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### set_execution_mode

    public void set_execution_mode​(String session,
                                   TExecuteMode mode)
                            throws TOmniSciException,
                                   org.apache.thrift.TException

Specified by:
  `set_execution_mode` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_set_execution_mode

    public void send_set_execution_mode​(String session,
                                        TExecuteMode mode)
                                 throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_set_execution_mode

    public void recv_set_execution_mode()
                                 throws TOmniSciException,
                                        org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### render_vega

    public TRenderResult render_vega​(String session,
                                     long widget_id,
                                     String vega_json,
                                     int compression_level,
                                     String nonce)
                              throws TOmniSciException,
                                     org.apache.thrift.TException

Specified by:
  `render_vega` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_render_vega

    public void send_render_vega​(String session,
                                 long widget_id,
                                 String vega_json,
                                 int compression_level,
                                 String nonce)
                          throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_render_vega

    public TRenderResult recv_render_vega()
                                   throws TOmniSciException,
                                          org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_result_row_for_pixel

    public TPixelTableRowResult get_result_row_for_pixel​(String session,
                                                         long widget_id,
                                                         TPixel pixel,
                                                         Map<String,​List<String>> table_col_names,
                                                         boolean column_format,
                                                         int pixelRadius,
                                                         String nonce)
                                                  throws TOmniSciException,
                                                         org.apache.thrift.TException

Specified by:
  `get_result_row_for_pixel` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_result_row_for_pixel

    public void send_get_result_row_for_pixel​(String session,
                                              long widget_id,
                                              TPixel pixel,
                                              Map<String,​List<String>> table_col_names,
                                              boolean column_format,
                                              int pixelRadius,
                                              String nonce)
                                       throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_result_row_for_pixel

    public TPixelTableRowResult recv_get_result_row_for_pixel()
                                                       throws TOmniSciException,
                                                              org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_dashboard

    public TDashboard get_dashboard​(String session,
                                    int dashboard_id)
                             throws TOmniSciException,
                                    org.apache.thrift.TException

Specified by:
  `get_dashboard` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_dashboard

    public void send_get_dashboard​(String session,
                                   int dashboard_id)
                            throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_dashboard

    public TDashboard recv_get_dashboard()
                                  throws TOmniSciException,
                                         org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_dashboards

    public List<TDashboard> get_dashboards​(String session)
                                    throws TOmniSciException,
                                           org.apache.thrift.TException

Specified by:
  `get_dashboards` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_dashboards

    public void send_get_dashboards​(String session)
                             throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_dashboards

    public List<TDashboard> recv_get_dashboards()
                                         throws TOmniSciException,
                                                org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### create_dashboard

    public int create_dashboard​(String session,
                                String dashboard_name,
                                String dashboard_state,
                                String image_hash,
                                String dashboard_metadata)
                         throws TOmniSciException,
                                org.apache.thrift.TException

Specified by:
  `create_dashboard` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_create_dashboard

    public void send_create_dashboard​(String session,
                                      String dashboard_name,
                                      String dashboard_state,
                                      String image_hash,
                                      String dashboard_metadata)
                               throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_create_dashboard

    public int recv_create_dashboard()
                              throws TOmniSciException,
                                     org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### replace_dashboard

    public void replace_dashboard​(String session,
                                  int dashboard_id,
                                  String dashboard_name,
                                  String dashboard_owner,
                                  String dashboard_state,
                                  String image_hash,
                                  String dashboard_metadata)
                           throws TOmniSciException,
                                  org.apache.thrift.TException

Specified by:
  `replace_dashboard` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_replace_dashboard

    public void send_replace_dashboard​(String session,
                                       int dashboard_id,
                                       String dashboard_name,
                                       String dashboard_owner,
                                       String dashboard_state,
                                       String image_hash,
                                       String dashboard_metadata)
                                throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_replace_dashboard

    public void recv_replace_dashboard()
                                throws TOmniSciException,
                                       org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### delete_dashboard

    public void delete_dashboard​(String session,
                                 int dashboard_id)
                          throws TOmniSciException,
                                 org.apache.thrift.TException

Specified by:
  `delete_dashboard` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_delete_dashboard

    public void send_delete_dashboard​(String session,
                                      int dashboard_id)
                               throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_delete_dashboard

    public void recv_delete_dashboard()
                               throws TOmniSciException,
                                      org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### share_dashboards

    public void share_dashboards​(String session,
                                 List<Integer> dashboard_ids,
                                 List<String> groups,
                                 TDashboardPermissions permissions)
                          throws TOmniSciException,
                                 org.apache.thrift.TException

Specified by:
  `share_dashboards` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_share_dashboards

    public void send_share_dashboards​(String session,
                                      List<Integer> dashboard_ids,
                                      List<String> groups,
                                      TDashboardPermissions permissions)
                               throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_share_dashboards

    public void recv_share_dashboards()
                               throws TOmniSciException,
                                      org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### delete_dashboards

    public void delete_dashboards​(String session,
                                  List<Integer> dashboard_ids)
                           throws TOmniSciException,
                                  org.apache.thrift.TException

Specified by:
  `delete_dashboards` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_delete_dashboards

    public void send_delete_dashboards​(String session,
                                       List<Integer> dashboard_ids)
                                throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_delete_dashboards

    public void recv_delete_dashboards()
                                throws TOmniSciException,
                                       org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### share_dashboard

    public void share_dashboard​(String session,
                                int dashboard_id,
                                List<String> groups,
                                List<String> objects,
                                TDashboardPermissions permissions,
                                boolean grant_role)
                         throws TOmniSciException,
                                org.apache.thrift.TException

Specified by:
  `share_dashboard` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_share_dashboard

    public void send_share_dashboard​(String session,
                                     int dashboard_id,
                                     List<String> groups,
                                     List<String> objects,
                                     TDashboardPermissions permissions,
                                     boolean grant_role)
                              throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_share_dashboard

    public void recv_share_dashboard()
                              throws TOmniSciException,
                                     org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### unshare_dashboard

    public void unshare_dashboard​(String session,
                                  int dashboard_id,
                                  List<String> groups,
                                  List<String> objects,
                                  TDashboardPermissions permissions)
                           throws TOmniSciException,
                                  org.apache.thrift.TException

Specified by:
  `unshare_dashboard` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_unshare_dashboard

    public void send_unshare_dashboard​(String session,
                                       int dashboard_id,
                                       List<String> groups,
                                       List<String> objects,
                                       TDashboardPermissions permissions)
                                throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_unshare_dashboard

    public void recv_unshare_dashboard()
                                throws TOmniSciException,
                                       org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### unshare_dashboards

    public void unshare_dashboards​(String session,
                                   List<Integer> dashboard_ids,
                                   List<String> groups,
                                   TDashboardPermissions permissions)
                            throws TOmniSciException,
                                   org.apache.thrift.TException

Specified by:
  `unshare_dashboards` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_unshare_dashboards

    public void send_unshare_dashboards​(String session,
                                        List<Integer> dashboard_ids,
                                        List<String> groups,
                                        TDashboardPermissions permissions)
                                 throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_unshare_dashboards

    public void recv_unshare_dashboards()
                                 throws TOmniSciException,
                                        org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_dashboard_grantees

    public List<TDashboardGrantees> get_dashboard_grantees​(String session,
                                                           int dashboard_id)
                                                    throws TOmniSciException,
                                                           org.apache.thrift.TException

Specified by:
  `get_dashboard_grantees` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_dashboard_grantees

    public void send_get_dashboard_grantees​(String session,
                                            int dashboard_id)
                                     throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_dashboard_grantees

    public List<TDashboardGrantees> recv_get_dashboard_grantees()
                                                         throws TOmniSciException,
                                                                org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_link_view

    public TFrontendView get_link_view​(String session,
                                       String link)
                                throws TOmniSciException,
                                       org.apache.thrift.TException

Specified by:
  `get_link_view` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_link_view

    public void send_get_link_view​(String session,
                                   String link)
                            throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_link_view

    public TFrontendView recv_get_link_view()
                                     throws TOmniSciException,
                                            org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### create_link

    public String create_link​(String session,
                              String view_state,
                              String view_metadata)
                       throws TOmniSciException,
                              org.apache.thrift.TException

Specified by:
  `create_link` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_create_link

    public void send_create_link​(String session,
                                 String view_state,
                                 String view_metadata)
                          throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_create_link

    public String recv_create_link()
                            throws TOmniSciException,
                                   org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### load_table_binary

    public void load_table_binary​(String session,
                                  String table_name,
                                  List<TRow> rows,
                                  List<String> column_names)
                           throws TOmniSciException,
                                  org.apache.thrift.TException

Specified by:
  `load_table_binary` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_load_table_binary

    public void send_load_table_binary​(String session,
                                       String table_name,
                                       List<TRow> rows,
                                       List<String> column_names)
                                throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_load_table_binary

    public void recv_load_table_binary()
                                throws TOmniSciException,
                                       org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### load_table_binary_columnar

    public void load_table_binary_columnar​(String session,
                                           String table_name,
                                           List<TColumn> cols,
                                           List<String> column_names)
                                    throws TOmniSciException,
                                           org.apache.thrift.TException

Specified by:
  `load_table_binary_columnar` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_load_table_binary_columnar

    public void send_load_table_binary_columnar​(String session,
                                                String table_name,
                                                List<TColumn> cols,
                                                List<String> column_names)
                                         throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_load_table_binary_columnar

    public void recv_load_table_binary_columnar()
                                         throws TOmniSciException,
                                                org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### load_table_binary_columnar_polys

    public void load_table_binary_columnar_polys​(String session,
                                                 String table_name,
                                                 List<TColumn> cols,
                                                 List<String> column_names,
                                                 boolean assign_render_groups)
                                          throws TOmniSciException,
                                                 org.apache.thrift.TException

Specified by:
  `load_table_binary_columnar_polys` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_load_table_binary_columnar_polys

    public void send_load_table_binary_columnar_polys​(String session,
                                                      String table_name,
                                                      List<TColumn> cols,
                                                      List<String> column_names,
                                                      boolean assign_render_groups)
                                               throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_load_table_binary_columnar_polys

    public void recv_load_table_binary_columnar_polys()
                                               throws TOmniSciException,
                                                      org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### load_table_binary_arrow

    public void load_table_binary_arrow​(String session,
                                        String table_name,
                                        ByteBuffer arrow_stream,
                                        boolean use_column_names)
                                 throws TOmniSciException,
                                        org.apache.thrift.TException

Specified by:
  `load_table_binary_arrow` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_load_table_binary_arrow

    public void send_load_table_binary_arrow​(String session,
                                             String table_name,
                                             ByteBuffer arrow_stream,
                                             boolean use_column_names)
                                      throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_load_table_binary_arrow

    public void recv_load_table_binary_arrow()
                                      throws TOmniSciException,
                                             org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### load_table

    public void load_table​(String session,
                           String table_name,
                           List<TStringRow> rows,
                           List<String> column_names)
                    throws TOmniSciException,
                           org.apache.thrift.TException

Specified by:
  `load_table` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_load_table

    public void send_load_table​(String session,
                                String table_name,
                                List<TStringRow> rows,
                                List<String> column_names)
                         throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_load_table

    public void recv_load_table()
                         throws TOmniSciException,
                                org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### detect_column_types

    public TDetectResult detect_column_types​(String session,
                                             String file_name,
                                             TCopyParams copy_params)
                                      throws TOmniSciException,
                                             org.apache.thrift.TException

Specified by:
  `detect_column_types` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_detect_column_types

    public void send_detect_column_types​(String session,
                                         String file_name,
                                         TCopyParams copy_params)
                                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_detect_column_types

    public TDetectResult recv_detect_column_types()
                                           throws TOmniSciException,
                                                  org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### create_table

    public void create_table​(String session,
                             String table_name,
                             List<TColumnType> row_desc,
                             TFileType file_type,
                             TCreateParams create_params)
                      throws TOmniSciException,
                             org.apache.thrift.TException

Specified by:
  `create_table` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_create_table

    public void send_create_table​(String session,
                                  String table_name,
                                  List<TColumnType> row_desc,
                                  TFileType file_type,
                                  TCreateParams create_params)
                           throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_create_table

    public void recv_create_table()
                           throws TOmniSciException,
                                  org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### import_table

    public void import_table​(String session,
                             String table_name,
                             String file_name,
                             TCopyParams copy_params)
                      throws TOmniSciException,
                             org.apache.thrift.TException

Specified by:
  `import_table` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_import_table

    public void send_import_table​(String session,
                                  String table_name,
                                  String file_name,
                                  TCopyParams copy_params)
                           throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_import_table

    public void recv_import_table()
                           throws TOmniSciException,
                                  org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### import_geo_table

    public void import_geo_table​(String session,
                                 String table_name,
                                 String file_name,
                                 TCopyParams copy_params,
                                 List<TColumnType> row_desc,
                                 TCreateParams create_params)
                          throws TOmniSciException,
                                 org.apache.thrift.TException

Specified by:
  `import_geo_table` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_import_geo_table

    public void send_import_geo_table​(String session,
                                      String table_name,
                                      String file_name,
                                      TCopyParams copy_params,
                                      List<TColumnType> row_desc,
                                      TCreateParams create_params)
                               throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_import_geo_table

    public void recv_import_geo_table()
                               throws TOmniSciException,
                                      org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### import_table_status

    public TImportStatus import_table_status​(String session,
                                             String import_id)
                                      throws TOmniSciException,
                                             org.apache.thrift.TException

Specified by:
  `import_table_status` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_import_table_status

    public void send_import_table_status​(String session,
                                         String import_id)
                                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_import_table_status

    public TImportStatus recv_import_table_status()
                                           throws TOmniSciException,
                                                  org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_first_geo_file_in_archive

    public String get_first_geo_file_in_archive​(String session,
                                                String archive_path,
                                                TCopyParams copy_params)
                                         throws TOmniSciException,
                                                org.apache.thrift.TException

Specified by:
  `get_first_geo_file_in_archive` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_first_geo_file_in_archive

    public void send_get_first_geo_file_in_archive​(String session,
                                                   String archive_path,
                                                   TCopyParams copy_params)
                                            throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_first_geo_file_in_archive

    public String recv_get_first_geo_file_in_archive()
                                              throws TOmniSciException,
                                                     org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_all_files_in_archive

    public List<String> get_all_files_in_archive​(String session,
                                                 String archive_path,
                                                 TCopyParams copy_params)
                                          throws TOmniSciException,
                                                 org.apache.thrift.TException

Specified by:
  `get_all_files_in_archive` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_all_files_in_archive

    public void send_get_all_files_in_archive​(String session,
                                              String archive_path,
                                              TCopyParams copy_params)
                                       throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_all_files_in_archive

    public List<String> recv_get_all_files_in_archive()
                                               throws TOmniSciException,
                                                      org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_layers_in_geo_file

    public List<TGeoFileLayerInfo> get_layers_in_geo_file​(String session,
                                                          String file_name,
                                                          TCopyParams copy_params)
                                                   throws TOmniSciException,
                                                          org.apache.thrift.TException

Specified by:
  `get_layers_in_geo_file` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_layers_in_geo_file

    public void send_get_layers_in_geo_file​(String session,
                                            String file_name,
                                            TCopyParams copy_params)
                                     throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_layers_in_geo_file

    public List<TGeoFileLayerInfo> recv_get_layers_in_geo_file()
                                                        throws TOmniSciException,
                                                               org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### query_get_outer_fragment_count

    public long query_get_outer_fragment_count​(String session,
                                               String query)
                                        throws TOmniSciException,
                                               org.apache.thrift.TException

Specified by:
  `query_get_outer_fragment_count` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_query_get_outer_fragment_count

    public void send_query_get_outer_fragment_count​(String session,
                                                    String query)
                                             throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_query_get_outer_fragment_count

    public long recv_query_get_outer_fragment_count()
                                             throws TOmniSciException,
                                                    org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### check_table_consistency

    public TTableMeta check_table_consistency​(String session,
                                              int table_id)
                                       throws TOmniSciException,
                                              org.apache.thrift.TException

Specified by:
  `check_table_consistency` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_check_table_consistency

    public void send_check_table_consistency​(String session,
                                             int table_id)
                                      throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_check_table_consistency

    public TTableMeta recv_check_table_consistency()
                                            throws TOmniSciException,
                                                   org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### start_query

    public TPendingQuery start_query​(String leaf_session,
                                     String parent_session,
                                     String query_ra,
                                     String start_time_str,
                                     boolean just_explain,
                                     List<Long> outer_fragment_indices)
                              throws TOmniSciException,
                                     org.apache.thrift.TException

Specified by:
  `start_query` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_start_query

    public void send_start_query​(String leaf_session,
                                 String parent_session,
                                 String query_ra,
                                 String start_time_str,
                                 boolean just_explain,
                                 List<Long> outer_fragment_indices)
                          throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_start_query

    public TPendingQuery recv_start_query()
                                   throws TOmniSciException,
                                          org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### execute_query_step

    public TStepResult execute_query_step​(TPendingQuery pending_query,
                                          long subquery_id,
                                          String start_time_str)
                                   throws TOmniSciException,
                                          org.apache.thrift.TException

Specified by:
  `execute_query_step` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_execute_query_step

    public void send_execute_query_step​(TPendingQuery pending_query,
                                        long subquery_id,
                                        String start_time_str)
                                 throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_execute_query_step

    public TStepResult recv_execute_query_step()
                                        throws TOmniSciException,
                                               org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### broadcast_serialized_rows

    public void broadcast_serialized_rows​(TSerializedRows serialized_rows,
                                          List<TColumnType> row_desc,
                                          long query_id,
                                          long subquery_id,
                                          boolean is_final_subquery_result)
                                   throws TOmniSciException,
                                          org.apache.thrift.TException

Specified by:
  `broadcast_serialized_rows` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_broadcast_serialized_rows

    public void send_broadcast_serialized_rows​(TSerializedRows serialized_rows,
                                               List<TColumnType> row_desc,
                                               long query_id,
                                               long subquery_id,
                                               boolean is_final_subquery_result)
                                        throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_broadcast_serialized_rows

    public void recv_broadcast_serialized_rows()
                                        throws TOmniSciException,
                                               org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### start_render_query

    public TPendingRenderQuery start_render_query​(String session,
                                                  long widget_id,
                                                  short node_idx,
                                                  String vega_json)
                                           throws TOmniSciException,
                                                  org.apache.thrift.TException

Specified by:
  `start_render_query` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_start_render_query

    public void send_start_render_query​(String session,
                                        long widget_id,
                                        short node_idx,
                                        String vega_json)
                                 throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_start_render_query

    public TPendingRenderQuery recv_start_render_query()
                                                throws TOmniSciException,
                                                       org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### execute_next_render_step

    public TRenderStepResult execute_next_render_step​(TPendingRenderQuery pending_render,
                                                      Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> merged_data)
                                               throws TOmniSciException,
                                                      org.apache.thrift.TException

Specified by:
  `execute_next_render_step` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_execute_next_render_step

    public void send_execute_next_render_step​(TPendingRenderQuery pending_render,
                                              Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> merged_data)
                                       throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_execute_next_render_step

    public TRenderStepResult recv_execute_next_render_step()
                                                    throws TOmniSciException,
                                                           org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### insert_data

    public void insert_data​(String session,
                            TInsertData insert_data)
                     throws TOmniSciException,
                            org.apache.thrift.TException

Specified by:
  `insert_data` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_insert_data

    public void send_insert_data​(String session,
                                 TInsertData insert_data)
                          throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_insert_data

    public void recv_insert_data()
                          throws TOmniSciException,
                                 org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### checkpoint

    public void checkpoint​(String session,
                           int table_id)
                    throws TOmniSciException,
                           org.apache.thrift.TException

Specified by:
  `checkpoint` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_checkpoint

    public void send_checkpoint​(String session,
                                int table_id)
                         throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_checkpoint

    public void recv_checkpoint()
                         throws TOmniSciException,
                                org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_roles

    public List<String> get_roles​(String session)
                           throws TOmniSciException,
                                  org.apache.thrift.TException

Specified by:
  `get_roles` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_roles

    public void send_get_roles​(String session)
                        throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_roles

    public List<String> recv_get_roles()
                                throws TOmniSciException,
                                       org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_db_objects_for_grantee

    public List<TDBObject> get_db_objects_for_grantee​(String session,
                                                      String roleName)
                                               throws TOmniSciException,
                                                      org.apache.thrift.TException

Specified by:
  `get_db_objects_for_grantee` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_db_objects_for_grantee

    public void send_get_db_objects_for_grantee​(String session,
                                                String roleName)
                                         throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_db_objects_for_grantee

    public List<TDBObject> recv_get_db_objects_for_grantee()
                                                    throws TOmniSciException,
                                                           org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_db_object_privs

    public List<TDBObject> get_db_object_privs​(String session,
                                               String objectName,
                                               TDBObjectType type)
                                        throws TOmniSciException,
                                               org.apache.thrift.TException

Specified by:
  `get_db_object_privs` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_db_object_privs

    public void send_get_db_object_privs​(String session,
                                         String objectName,
                                         TDBObjectType type)
                                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_db_object_privs

    public List<TDBObject> recv_get_db_object_privs()
                                             throws TOmniSciException,
                                                    org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_all_roles_for_user

    public List<String> get_all_roles_for_user​(String session,
                                               String userName)
                                        throws TOmniSciException,
                                               org.apache.thrift.TException

Specified by:
  `get_all_roles_for_user` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_all_roles_for_user

    public void send_get_all_roles_for_user​(String session,
                                            String userName)
                                     throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_all_roles_for_user

    public List<String> recv_get_all_roles_for_user()
                                             throws TOmniSciException,
                                                    org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### has_role

    public boolean has_role​(String session,
                            String granteeName,
                            String roleName)
                     throws TOmniSciException,
                            org.apache.thrift.TException

Specified by:
  `has_role` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_has_role

    public void send_has_role​(String session,
                              String granteeName,
                              String roleName)
                       throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_has_role

    public boolean recv_has_role()
                          throws TOmniSciException,
                                 org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### has_object_privilege

    public boolean has_object_privilege​(String session,
                                        String granteeName,
                                        String ObjectName,
                                        TDBObjectType objectType,
                                        TDBObjectPermissions permissions)
                                 throws TOmniSciException,
                                        org.apache.thrift.TException

Specified by:
  `has_object_privilege` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_has_object_privilege

    public void send_has_object_privilege​(String session,
                                          String granteeName,
                                          String ObjectName,
                                          TDBObjectType objectType,
                                          TDBObjectPermissions permissions)
                                   throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_has_object_privilege

    public boolean recv_has_object_privilege()
                                      throws TOmniSciException,
                                             org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### set_license_key

    public TLicenseInfo set_license_key​(String session,
                                        String key,
                                        String nonce)
                                 throws TOmniSciException,
                                        org.apache.thrift.TException

Specified by:
  `set_license_key` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_set_license_key

    public void send_set_license_key​(String session,
                                     String key,
                                     String nonce)
                              throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_set_license_key

    public TLicenseInfo recv_set_license_key()
                                      throws TOmniSciException,
                                             org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_license_claims

    public TLicenseInfo get_license_claims​(String session,
                                           String nonce)
                                    throws TOmniSciException,
                                           org.apache.thrift.TException

Specified by:
  `get_license_claims` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_license_claims

    public void send_get_license_claims​(String session,
                                        String nonce)
                                 throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_license_claims

    public TLicenseInfo recv_get_license_claims()
                                         throws TOmniSciException,
                                                org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_device_parameters

    public Map<String,​String> get_device_parameters​(String session)
                                                   throws TOmniSciException,
                                                          org.apache.thrift.TException

Specified by:
  `get_device_parameters` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_get_device_parameters

    public void send_get_device_parameters​(String session)
                                    throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_get_device_parameters

    public Map<String,​String> recv_get_device_parameters()
                                                        throws TOmniSciException,
                                                               org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### register_runtime_extension_functions

    public void register_runtime_extension_functions​(String session,
                                                     List<TUserDefinedFunction> udfs,
                                                     List<TUserDefinedTableFunction> udtfs,
                                                     Map<String,​String> device_ir_map)
                                              throws TOmniSciException,
                                                     org.apache.thrift.TException

Specified by:
  `register_runtime_extension_functions` in interface `OmniSci.Iface`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### send_register_runtime_extension_functions

    public void send_register_runtime_extension_functions​(String session,
                                                          List<TUserDefinedFunction> udfs,
                                                          List<TUserDefinedTableFunction> udtfs,
                                                          Map<String,​String> device_ir_map)
                                                   throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### recv_register_runtime_extension_functions

    public void recv_register_runtime_extension_functions()
                                                   throws TOmniSciException,
                                                          org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`